#ifndef EGOMOTION_H
#define EGOMOTION_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>

#include <functional>

#include "car/environmentDataMsg.h"

namespace car
{
class EgoMotion 
{
  public:
    using Callback = std::function<void()>;
    
    EgoMotion(ros::NodeHandle nh);
    ~EgoMotion(){};

    Callback platoonControllerNotify;
    Callback cruiseControllerNotify;
    
  private:
    ros::Subscriber environmentData;
    void environmentDataCallback(const environmentDataMsg::ConstPtr & inMsg);
    
};
}

#endif
